summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoreroen2017-05-29 19:19:43 +0200
committereroen2017-05-29 19:19:43 +0200
commit332d35d26d9007a14edcb519ebd74d444c9efc55 (patch)
treebb8b32fe7f545e50c10c91460633bd40c6c10e92
parent711e7dd8eaec29453fa0c13cbeae591e65b1a1fb (diff)
downloaderoen-overlay-332d35d26d9007a14edcb519ebd74d444c9efc55.tar.gz
eroen-overlay-332d35d26d9007a14edcb519ebd74d444c9efc55.tar.bz2
eroen-overlay-332d35d26d9007a14edcb519ebd74d444c9efc55.tar.xz
openxcom - new snapshot
-rw-r--r--games-engines/openxcom/Manifest2
-rw-r--r--games-engines/openxcom/metadata.xml7
-rw-r--r--games-engines/openxcom/openxcom-1.0.0_p20170127.ebuild64
-rw-r--r--games-engines/openxcom/openxcom-1.0.0_p20170526.ebuild65
-rw-r--r--games-engines/openxcom/openxcom-9999.ebuild76
5 files changed, 214 insertions, 0 deletions
diff --git a/games-engines/openxcom/Manifest b/games-engines/openxcom/Manifest
new file mode 100644
index 00000000..c66a5204
--- /dev/null
+++ b/games-engines/openxcom/Manifest
@@ -0,0 +1,2 @@
+DIST openxcom-1.0.0_p20170127.tar.gz 2787627 SHA256 8b700ed1d59d62aca718134885f20e27c7ed90e577513661860c85be2fb53e4b SHA512 32afa1f036e6a8f210824bb17b41deec77447695d45b1d483c908174fe2748b59743835ac00246884dabe20ca50326c6c7615cb139f8a3e6d65bdcd69ca1d49c WHIRLPOOL c1146bd3eeca34f66f7b9630a9a54c4629b65ed1ed7c8a9fa19a4a0839c061d3986ba8be2d73903c3a9df5472354681ab0ce6d9d263c6bf2e7bdebd6e9ec4f81
+DIST openxcom-1.0.0_p20170526.tar.gz 2793756 SHA256 56f15f91215b3b949227dfa5852ab7432a2b7d405803bc004fb9274d35fdf457 SHA512 e7f8f2c4f2f463d71fbadfae1ae73b19a69da6d09e415b50891cafaa8030c075a0e92bfe6ed6948160ea8da1e0a29a23061f3b4756f9b1859c15a9e6e0578426 WHIRLPOOL 963adcb051eacc65887a4bb19229abb01acf86d989c9fc216f89f381dccdaa6b3dba129888885a75399165c5cde9ea5f1f7acd18632c35a23256591a9c96dfdf
diff --git a/games-engines/openxcom/metadata.xml b/games-engines/openxcom/metadata.xml
new file mode 100644
index 00000000..41571fb5
--- /dev/null
+++ b/games-engines/openxcom/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <upstream>
+ <remote-id type="github">SupSuper/OpenXcom</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/games-engines/openxcom/openxcom-1.0.0_p20170127.ebuild b/games-engines/openxcom/openxcom-1.0.0_p20170127.ebuild
new file mode 100644
index 00000000..9126c74d
--- /dev/null
+++ b/games-engines/openxcom/openxcom-1.0.0_p20170127.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils cmake-utils gnome2-utils vcs-snapshot
+
+DESCRIPTION="An open-source reimplementation of the popular UFO: Enemy Unknown"
+HOMEPAGE="http://openxcom.org/"
+SRC_URI="https://codeload.github.com/SupSuper/OpenXcom/tar.gz/ad6c4c91ee78af75d5a1d63cf49d68a3fec0c365 -> $P.tar.gz"
+
+LICENSE="GPL-3 CC-BY-SA-4.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND=">=dev-cpp/yaml-cpp-0.5.1
+ media-libs/libsdl2[opengl,video]
+ media-libs/sdl2-gfx
+ media-libs/sdl2-image[png]
+ media-libs/sdl2-mixer[flac,mikmod,vorbis]
+ virtual/opengl
+ "
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )"
+
+DOCS=( )
+
+src_configure() {
+ local mycmakeargs=(
+ -DDEV_BUILD=OFF
+ -DBUILD_PACKAGE=OFF
+ )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ use doc && cmake-utils_src_compile doxygen
+ cmake-utils_src_compile
+}
+
+src_install() {
+ cmake-utils_src_install
+ use doc && dodoc -r "${CMAKE_BUILD_DIR}"/docs/html/*
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ echo
+ elog "In order to play you need copy GEODATA, GEOGRAPH, MAPS, ROUTES, SOUND,"
+ elog "TERRAIN, UFOGRAPH, UFOINTRO, UNITS folders from original X-COM game to"
+ elog "${EPREFIX%/}/usr/share/openxcom/UFO"
+ echo
+ elog "If you need or want text in some language other than english, download:"
+ elog "http://openxcom.org/translations/latest.zip and uncompress it in"
+ elog "${EPREFIX%/}/usr/share/openxcom/common/Language"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/games-engines/openxcom/openxcom-1.0.0_p20170526.ebuild b/games-engines/openxcom/openxcom-1.0.0_p20170526.ebuild
new file mode 100644
index 00000000..03529602
--- /dev/null
+++ b/games-engines/openxcom/openxcom-1.0.0_p20170526.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2016 Gentoo Foundation
+# eroen, 2017
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils cmake-utils gnome2-utils vcs-snapshot
+
+DESCRIPTION="An open-source reimplementation of the popular UFO: Enemy Unknown"
+HOMEPAGE="http://openxcom.org/"
+SRC_URI="https://codeload.github.com/SupSuper/OpenXcom/tar.gz/75d727864e4a6e6ebf6107956227f35ef959a9c0 -> $P.tar.gz"
+
+LICENSE="GPL-3 CC-BY-SA-4.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND=">=dev-cpp/yaml-cpp-0.5.1
+ media-libs/libsdl2[opengl,video]
+ media-libs/sdl2-gfx
+ media-libs/sdl2-image[png]
+ media-libs/sdl2-mixer[flac,mikmod,vorbis]
+ virtual/opengl
+ "
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )"
+
+DOCS=( )
+
+src_configure() {
+ local mycmakeargs=(
+ -DDEV_BUILD=OFF
+ -DBUILD_PACKAGE=OFF
+ )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ use doc && cmake-utils_src_compile doxygen
+ cmake-utils_src_compile
+}
+
+src_install() {
+ cmake-utils_src_install
+ use doc && dodoc -r "${CMAKE_BUILD_DIR}"/docs/html/*
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ echo
+ elog "In order to play you need copy GEODATA, GEOGRAPH, MAPS, ROUTES, SOUND,"
+ elog "TERRAIN, UFOGRAPH, UFOINTRO, UNITS folders from original X-COM game to"
+ elog "${EPREFIX%/}/usr/share/openxcom/UFO"
+ echo
+ elog "If you need or want text in some language other than english, download:"
+ elog "http://openxcom.org/translations/latest.zip and uncompress it in"
+ elog "${EPREFIX%/}/usr/share/openxcom/common/Language"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/games-engines/openxcom/openxcom-9999.ebuild b/games-engines/openxcom/openxcom-9999.ebuild
new file mode 100644
index 00000000..c8d680cc
--- /dev/null
+++ b/games-engines/openxcom/openxcom-9999.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils cmake-utils gnome2-utils git-r3
+
+DESCRIPTION="An open-source reimplementation of the popular UFO: Enemy Unknown"
+HOMEPAGE="http://openxcom.org/"
+EGIT_REPO_URI="https://github.com/SupSuper/OpenXcom.git"
+
+LICENSE="GPL-3+ CC-BY-SA-4.0"
+SLOT="0"
+KEYWORDS=""
+IUSE="doc"
+
+RDEPEND=">=dev-cpp/yaml-cpp-0.5.1
+ media-libs/libsdl[opengl,video]
+ media-libs/sdl-gfx
+ media-libs/sdl-image[png]
+ media-libs/sdl-mixer[flac,mikmod,vorbis]"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )"
+
+src_unpack() {
+ git-r3_src_unpack
+}
+
+src_prepare() {
+ cmake-utils_src_prepare
+ sed -i -e '/\/res\//d' CMakeLists.txt || die
+}
+
+src_configure() {
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ use doc && cmake-utils_src_compile doxygen
+ cmake-utils_src_compile
+}
+
+src_install() {
+ DOCS="README.md" \
+ cmake-utils_src_install
+ use doc && dodoc -r "${CMAKE_BUILD_DIR}"/docs/html/*
+ doicon -s scalable res/linux/icons/openxcom.svg
+ newicon -s 48 res/linux/icons/openxcom_48x48.png openxcom.png
+ newicon -s 128 res/linux/icons/openxcom_128x128.png openxcom.png
+ domenu res/linux/openxcom.desktop
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ echo
+ elog "In order to play you need copy GEODATA, GEOGRAPH, MAPS, ROUTES, SOUND,"
+ elog "TERRAIN, UFOGRAPH, UFOINTRO, UNITS folders from original X-COM game to"
+ elog "/usr/share/${PN}/UFO"
+ echo
+ elog "If you want to play the TFTD mod, you need to copy ANIMS, FLOP_INT,"
+ elog "GEODATA, GEOGRAPH, MAPS, ROUTES, SOUND, TERRAIN, UFOGRAPH, UNITS folders"
+ elog "from the original Terror from the Deep game to"
+ elog "/usr/share/${PN}/TFTD"
+ echo
+ elog "If you need or want text in some language other than english, download:"
+ elog "http://openxcom.org/translations/latest.zip and uncompress it in"
+ elog "/usr/share/${PN}/common/Language"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}